<?php
namespace Controller;

use Exception\CustomException;
use Util\InstanceProvider;
use Util\Utilities;
use Zeedhi\Framework\Controller\Simple;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Util\Messages;

class Faturamento extends Simple
{

    public function find(Request\Filter $request, Response $response)
    {
        try {
            $conditions = $request->getFilterCriteria()->getConditions();
            $orderBy = $request->getFilterCriteria()->getOrderBy();
            $page = $request->getFilterCriteria()->getPage();
            $pageSize = $request->getFilterCriteria()->getPageSize();
            $nrorg   = Utilities::getValueInFilterDataSourceByName($conditions, 'NRORG', true);
            $nrparcnegocio   = Utilities::getValueInFilterDataSourceByName($conditions,'NRPARCNEGOCIO', true);
            $dtinicompet   = Utilities::getValueInFilterDataSourceByName($conditions,'DTINICOMPET', false);
            $dtfincompet   = Utilities::getValueInFilterDataSourceByName($conditions,'DTFINCOMPET', false);
            $resultSet  = InstanceProvider::getService()->getFaturamento()->find($conditions, $nrorg, $nrparcnegocio, $dtinicompet, $dtfincompet, $page, $pageSize, $orderBy);
            $response->addDataSet(new DataSet('faturamento', $resultSet));
        } catch (CustomException $e) {
            $response->setError(Utilities::getErrorObjectFromException($e));
        }
    }

    public function findBilletIssuedFct(Request\Filter $request, Response $response){
        try{
            $conditions = $request->getFilterCriteria()->getConditions();
            $nrlanctonf = Utilities::getValueInFilterDataSourceByName($conditions, "NRLANCTONF", true);
            $result = InstanceProvider::getService()->getFaturamento()->findBilletIssuedFct($nrlanctonf);
            $response->addDataSet(new DataSet('findBilletIssuedFct', $result));
        } catch (CustomException $e) {
            $response->setError(Utilities::getErrorObjectFromException($e));
        }
    }


}
