/* Sistemas Integrados TEKNISA

Nome: 5015_FISFUNO_CTBL_CMV.SQL

Descrio:
Funo para retornar a conta contabil CMV.

P_CDPRODUTO       - Cdigo do produto.

Criao:
08/08/2008 - Leonardo Bispo de Souza

*/

create or replace
FUNCTION CTBL_CMV
   (P_CDPRODUTO  IN PRODUTO.CDPRODUTO%TYPE) RETURN VARCHAR
AS
   V_CDCTBLPRACPR   VARCHAR2(20);
   V_CDARVPROD      VARCHAR2(20);
BEGIN
   V_CDCTBLPRACPR := NULL;
   V_CDARVPROD    := NULL;

   BEGIN
      SELECT CDARVPROD
        INTO V_CDARVPROD
        FROM PRODUTO
       WHERE CDPRODUTO = P_CDPRODUTO;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_CDARVPROD := NULL;
   END;

   BEGIN
      SELECT PR.CDCTBLPRACPR
        INTO V_CDCTBLPRACPR
        FROM PRODUTO PR,
             (SELECT MAX(CDARVPROD) AS CDARVPROD
                FROM PRODUTO C
               WHERE (INSTR(V_CDARVPROD,RTRIM(C.CDARVPROD)) = 1)
                 AND NOT CDCTBLPRACPR IS NULL) P
       WHERE PR.CDARVPROD = P.CDARVPROD;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_CDCTBLPRACPR := NULL;
   END;

   RETURN(V_CDCTBLPRACPR);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('CTBL_CMV','5.05.000'); END;
/
