CREATE TABLE DETRECEITAGNRE
(
   CDRECEITA       VARCHAR2(6)     NOT NULL,
   CDDETRECEITA    VARCHAR2(6)     NOT NULL,
   DSDETRECEITA    VARCHAR2(250)   NOT NULL,
   SGESTADO        VARCHAR2(2)     NOT NULL,    
   NRORG 	   NUMBER 	   DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO 	   VARCHAR2(1) 	   DEFAULT 'S' NOT NULL,
      CONSTRAINT CKC_IDATIVO_DETRECEITAGNRE CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO 	   DATE 	   NULL,
   DTULTATU 	   DATE 	   NULL,
   NRORGINCLUSAO   NUMBER 	   DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO  VARCHAR2(12)	   DEFAULT '1' NULL,
   NRORGULTATU 	   NUMBER 	   DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERULTATU    VARCHAR2(12)    DEFAULT '1',
   CONSTRAINT PK_DETRECEITAGNRE PRIMARY KEY (CDRECEITA, SGESTADO, CDDETRECEITA)
)
/

INSERT INTO DETRECEITAGNRE
  (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
   SELECT '100099', '000013', '10200 - Substituicao Tributaria - mercadoria desacompanhada de GNRE', 'AC'
     FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000013')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
   SELECT '100056', '000032', '1414 - ICMS COMERCIO IMPORTACAO', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100056'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000032')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
   SELECT'100056', '000033', '1415 - ICMS IMPORTACAO COURIER', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100056'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000033')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000017', '1538 - ICMS COMERCIO SUBST.TRIB. NAO CADAST.', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000017')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000018', '1546 - ICMS COM COMB.LIQ.GAS.SUB.TRIB.NAO CAD.', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000018')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000071', '1610  ICMS COMPLEMENTAR COMBUSTIVEL', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000071')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000019', '1783 - ICMS COM COMB ALCOOL HIDRATADO SUB TRIB', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000019')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000021', '1821 - ICMS COMERCIO COMB.LIQ.GAS.SUBST.TRIBUT.', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000021')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000021', '1821 - ICMS COMERCIO COMB.LIQ.GAS.SUBST.TRIBUT.', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000021')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000022', '2550 - ICMS INDUSTRIA SUBST.TRIBUT.NAO CADAS.', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000022')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000004', 'ICMS - Combustivel', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000004')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000004', 'ICMS - Combustivel', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000004')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000036', 'ICMS - Declarado Comercio', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000036')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000037', 'ICMS - Declarado Industria', 'AC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000037')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000006', 'ICMS - Fundo Especial de Combate e Erradicacao da Pobreza', 'AL'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'AL'
						 AND CDDETRECEITA = '000006')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100064', '000015', '10383 - Utilizado para recolhimento da parcela unica do imposto, equivalente a 100% do montante devido no mes anterior (ver classe 10391)', 'DF'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100064'
					     AND SGESTADO     = 'DF'
						 AND CDDETRECEITA = '000015')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '500011', '000015', '10383 - Utilizado para recolhimento da parcela unica do imposto, equivalente a 100% do montante devido no mes anterior (ver classe 10391)', 'DF'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '500011'
					     AND SGESTADO     = 'DF'
						 AND CDDETRECEITA = '000015')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100056', '000032', '1414 - ICMS COMERCIO IMPORTACAO', 'DF'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100056'
					     AND SGESTADO     = 'DF'
						 AND CDDETRECEITA = '000032')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100013', '000012', '10049 - Substituicao tributaria - prazo normal', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100013'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000012')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000012', '10049 - Substituicao tributaria - prazo normal', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000012')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000012', '10049 - Substituicao tributaria - prazo normal', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000012')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000013', '10200 - Substituicao Tributaria - mercadoria desacompanhada de GNRE', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000013')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000017', '1538 - ICMS COMERCIO SUBST.TRIB. NAO CADAST.', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000017')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000020', '1813 - ICMS COMERCIO SUBSTITUICAO TRIBUTARIA', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000020')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000022', '2550 - ICMS INDUSTRIA SUBST.TRIBUT.NAO CADAS.', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000022')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000003', 'ICMS - Antecipacao', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000003')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000005', 'ICMS - Diferencial de Aliquota', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000005')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100013', '000006', 'ICMS - Fundo Especial de Combate e Erradicacao da Pobreza', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100013'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000006')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000006', 'ICMS - Fundo Especial de Combate e Erradicacao da Pobreza', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000006')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000006', 'ICMS - Fundo Especial de Combate e Erradicacao da Pobreza', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000006')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000006', 'ICMS - Fundo Especial de Combate e Erradicacao da Pobreza', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000006')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000006', 'ICMS - Fundo Especial de Combate e Erradicacao da Pobreza', 'MA'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MA'
						 AND CDDETRECEITA = '000006')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000053', 'FUNDO ESTADUAL DE COMBATE A POBREZA POR APURACAO EC/87', 'MG'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'MG'
						 AND CDDETRECEITA = '000053')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000054', 'FUNDO ESTADUAL DE COMBATE A POBREZA POR APURACAO SUBSTITUICAO TRIBUTARIA', 'MG'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'MG'
						 AND CDDETRECEITA = '000054')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100129', '000051', 'FUNDO ESTADUAL DE COMBATE A POBREZA POR OPERACAO EC/87', 'MG'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100129'
					     AND SGESTADO     = 'MG'
						 AND CDDETRECEITA = '000051')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100129', '000052', 'FUNDO ESTADUAL DE COMBATE A POBREZA POR OPERACAO SUBSTITUICAO TRIBUTARIA', 'MG'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100129'
					     AND SGESTADO     = 'MG'
						 AND CDDETRECEITA = '000052')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100056', '000032', '1414 - ICMS COMERCIO IMPORTACAO', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100056'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000032')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000017', '1538 - ICMS COMERCIO SUBST.TRIB. NAO CADAST.', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000017')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000018', '1546 - ICMS COM COMB.LIQ.GAS.SUB.TRIB.NAO CAD.', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000018')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000071', '1610  ICMS COMPLEMENTAR COMBUSTIVEL', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000071')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000071', '1610  ICMS COMPLEMENTAR COMBUSTIVEL', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000071')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000022', '2550 - ICMS INDUSTRIA SUBST.TRIBUT.NAO CADAS.', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000022')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000023', '2810 - ICMS INDUSTRIA SUBSTITUICAO TRIBUTARIA', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000023')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100030', '000024', '3816 - ICMS TRANSP SUBSTITUICAO TRIBUTARIA', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100030'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000024')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100013', '000025', '3824 - ICMS COMUNICACAO SUBSTITUICAO TRIBUTARIA', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100013'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000025')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100056', '000029', '6475 - ICMS SUBST.TRIB. IMPORTACAO PORTO SECO', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100056'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000029')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100102', '000055', '6666 - ICMS DIFAL EC87/15-RECOLHIMENTO POR NF', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100102'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000055')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100110', '000056', '6667 - ICMS DIFAL-EC87/15 -RECOLHIMENTO MENSAL', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100110'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000056')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100129', '000057', '9879 - FUNDO COMBATE POBREZA-OPERACAO-EC87/15', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100129'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000057')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000058', '9880 - FUNDO COMBATE POBREZA-APURACAO-EC87/15', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000058')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000034', '9888 - FUNDO COMBATE POBREZA-ARREC.ESPONTANEA', 'MT'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'MT'
						 AND CDDETRECEITA = '000034')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000012', '10049 - Substituicao tributaria - prazo normal', 'PB'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'PB'
						 AND CDDETRECEITA = '000012')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000060', 'Repasse ICMS Provisionado - Conv.110/07', 'PB'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'PB'
						 AND CDDETRECEITA = '000060')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000042', 'ICMS - Substituicao Tributaria Interestadual por Apuracao', 'PE'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'PE'
						 AND CDDETRECEITA = '000042')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000060', 'Repasse ICMS Provisionado - Conv.110/07', 'PE'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'PE'
						 AND CDDETRECEITA = '000060')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '600016', '000070', 'Ressarcimento Convenio GNRE 01/2019', 'PE'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '600016'
					     AND SGESTADO     = 'PE'
						 AND CDDETRECEITA = '000070')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000011', '10030 - Repasse da refinaria - Combustiveis e outros', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000011')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000012', '10049 - Substituicao tributaria - prazo normal', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000012')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000017', '1538 - ICMS COMERCIO SUBST.TRIB. NAO CADAST.', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000017')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000018', '1546 - ICMS COM COMB.LIQ.GAS.SUB.TRIB.NAO CAD.', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000018')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000020', '1813 - ICMS COMERCIO SUBSTITUICAO TRIBUTARIA', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000020')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000021', '1821 - ICMS COMERCIO COMB.LIQ.GAS.SUBST.TRIBUT.', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000021')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000022', '2550 - ICMS INDUSTRIA SUBST.TRIBUT.NAO CADAS.', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000022')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000023', '2810 - ICMS INDUSTRIA SUBSTITUICAO TRIBUTARIA', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000023')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000026', '4685 - ICMS SUBSTITUICAO TRIBUTARIA - GINF', 'RO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RO'
						 AND CDDETRECEITA = '000026')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000053', 'FUNDO ESTADUAL DE COMBATE A POBREZA POR APURACAO EC/87', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000053')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000054', 'FUNDO ESTADUAL DE COMBATE A POBREZA POR APURACAO SUBSTITUICAO TRIBUTARIA', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000054')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000049', 'ICMS - Carne e Gado', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000049')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000036', 'ICMS - Declarado Comercio', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000036')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000036', 'ICMS - Declarado Comercio', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000036')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000035', 'ICMS - Declarado Energia Eletrica', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000035')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000037', 'ICMS - Declarado Industria', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000037')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000037', 'ICMS - Declarado Industria', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000037')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000038', 'ICMS - Denuncia Espontanea de Infracao', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000038')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000041', 'ICMS - Estorno Biodiesel', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000041')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000040', 'ICMS - Estorno Etanol Anidro', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'AC'
						 AND CDDETRECEITA = '000040')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000045', 'ICMS - Importacao de Mercadoria Estrangeira', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000045')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000047', 'ICMS - Outros Pagamentos Antecipados', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000047')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000044', 'ICMS - Pagamento Antecipado nas Entradas de Mercadorias Oriundas de Outras Unidades da Federacao Efetuado por Empresa Modalidade Geral', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000044')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100021', '000039', 'ICMS - Pagamento Antecipado nas Entradas de Mercadorias Oriundas de Outras Unidades da Federacao Efetuado por Empresa Simples Nacional', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100021'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000039')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000046', 'ICMS - Pagamento de Autorregularizacao', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000046')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000048', 'ICMS - Produtor Primario', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000048')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000043', 'ICMS - Substituicao Tributaria de Servicos de Transporte', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000043')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000042', 'ICMS - Substituicao Tributaria Interestadual por Apuracao', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000042')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000007', 'ICMS - Substituicao Tributaria Interna', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000007')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100137', '000007', 'ICMS - Substituicao Tributaria Interna', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100137'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000007')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000069', 'ICMS ST Complemento', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000069')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '600016', '000067', 'Receita de Honorarios Advocaticios - PGE RS', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '600016'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000067')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '600016', '000068', 'Receitas Eventuais', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '600016'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000068')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000060', 'Repasse ICMS Provisionado - Conv.110/07', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000060')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '600016', '000059', 'Ressarcimento Convenio SEFAZ Virtual RS', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '600016'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000059')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '600016', '000066', 'Taxa Cooperacao e Defesa da Orizicultura - CDO  IRGA - Por operacao', 'RS'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '600016'
					     AND SGESTADO     = 'RS'
						 AND CDDETRECEITA = '000066')
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '600016', '000009', '10 - Peticoes ou requerimentos dirigidos a autoridades administrativas estaduais', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '600016'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000009')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000010', '10022 - Utilizado para recolhimento do imposto postergado por regime especial', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000010')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000011', '10030 - Repasse da refinaria - Combustiveis e outros', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000011')
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000012', '10049 - Substituicao tributaria - prazo normal', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000012')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000013', '10200 - Substituicao Tributaria - mercadoria desacompanhada de GNRE', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000013')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000014', '10251 - Repasse da refinaria - Combustiveis e outros', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000014')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000015', '10383 - Utilizado para recolhimento da parcela unica do imposto, equivalente a 100% do montante devido no mes anterior (ver classe 10391)', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000015')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100048', '000016', '10391 - Utilizado para recolhimento do valor remanescente do saldo devedor do imposto (ver classe 10383)', 'SC'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100048'
					     AND SGESTADO     = 'SC'
						 AND CDDETRECEITA = '000016')						 
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000058', '9880 - FUNDO COMBATE POBREZA-APURACAO-EC87/15', 'SE'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'SE'
						 AND CDDETRECEITA = '000058')						 
/
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000003', 'ICMS - Antecipacao', 'TO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'TO'
						 AND CDDETRECEITA = '000003')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000004', 'ICMS - Combustivel', 'TO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'TO'
						 AND CDDETRECEITA = '000004')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100080', '000005', 'ICMS - Diferencial de Aliquota', 'TO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100080'
					     AND SGESTADO     = 'TO'
						 AND CDDETRECEITA = '000005')						 
/	  
INSERT INTO DETRECEITAGNRE
   (CDRECEITA, CDDETRECEITA, DSDETRECEITA, SGESTADO)
	SELECT '100099', '000005', 'ICMS - Diferencial de Aliquota', 'TO'
	 FROM DUAL
	WHERE NOT EXISTS (SELECT * FROM DETRECEITAGNRE
	                   WHERE CDRECEITA    = '100099'
					     AND SGESTADO     = 'TO'
						 AND CDDETRECEITA = '000005')						 
/

ALTER TABLE DOCARRECADPAG ADD CDNATUREZA VARCHAR2(10)
/

ALTER TABLE DOCARRECADPAG ADD CDDETRECEITA VARCHAR2(6)
/

ALTER TABLE DOCARRECADPAG DROP CONSTRAINT CKC_IDTRANSMISSAO_DOCARR
/

ALTER TABLE DOCARRECADPAG DROP CONSTRAINT CKC_IDTIPOGUIA_DOCARR
/

ALTER TABLE DOCARRECADPAG ADD CONSTRAINT CKC_IDTRANSMISSAO_DOCARR CHECK (IDTRANSMISSAO  IN ('N', 'L', 'S', 'P', 'U', 'C'))
/

ALTER TABLE DOCARRECADPAG ADD CONSTRAINT CKC_IDTIPOGUIA_DOCARR CHECK (IDTIPOGUIA IN ('I', 'O', 'D', 'F', 'P', 'A', 'M', 'G', 'S', 'N'))
/

ALTER TABLE DOCARRECADPAG ADD VRTOTAL FLOAT(126)
/

ALTER TABLE DOCARRECADPAG ADD IDTPIJURDEST VARCHAR2(1)
/

ALTER TABLE DOCARRECADPAG ADD NRINSJURDEST VARCHAR2(20)
/

ALTER TABLE DOCARRECADPAG ADD NMMUNICIPDEST VARCHAR2(50)
/

ALTER TABLE DOCARRECADPAG ADD CDMUNICIPDEST VARCHAR2(10)
/

ALTER TABLE DOCARRECADPAG ADD CDPRODUTO VARCHAR2(20)
/

ALTER TABLE DOCARRECADPAG ADD NMPRODUTO VARCHAR2(255)
/

ALTER TABLE DOCARRECADPAG ADD NRCONVENIO VARCHAR2(30)
/

ALTER TABLE DOCARRECADPAG ADD VRATUALMONET FLOAT(126)
/

ALTER TABLE DOCARRECADPAG ADD PERIODO VARCHAR(7)
/

ALTER TABLE DOCARRECADPAG ADD NRNOTAFISC VARCHAR2(10)
/

ALTER TABLE PARAMFISCAL ADD IDGERXMLGNREGUIA VARCHAR2(01) DEFAULT ('N') NOT NULL 
   CONSTRAINT CKC_IDGERXMLGNREGUIA_PARAMFISC CHECK(IDGERXMLGNREGUIA IN ('S','N'))
/

ALTER TABLE PARAMTRANS ADD CDPRODUTOGNRE VARCHAR2(05)
/

ALTER TABLE PARAMTRANS ADD CDNATUQUALIF VARCHAR2(01)
/

ALTER TABLE PARAMTRANS ADD IDAMBIENTE VARCHAR2(01)
/

ALTER TABLE PARAMTRANS ADD IDFCPSEPIMP VARCHAR2(1) DEFAULT 'S' NOT NULL 
   CONSTRAINT CKC_IDFCPSEPIMP_PARAMTRANS CHECK (IDFCPSEPIMP IN ('S','N'))
/